### Method

# Gio SocketClient set_proxy_resolver

since: 2.36

#### Declaration [src]

    void
    g_socket_client_set_proxy_resolver (
      GSocketClient* client,
      GProxyResolver* proxy_resolver
    )

#### Description [src]

Overrides the `GProxyResolver` used by `client`. You can call this if you want to use specific proxies, rather than using the system default proxy settings.

Note that whether or not the proxy resolver is actually used depends on the setting of `GSocketClient:enable-proxy`, which is not changed by this function (but which is `TRUE` by default).

Available since: 2.36

Sets property | `Gio.SocketClient:proxy-resolver`

#### Parameters

`proxy_resolver`

  Type: `GProxyResolver`

  A `GProxyResolver`, or `NULL` for the default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.